Outputs - Delete
Deletes an output from the streaming job.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.StreamAnalytics/streamingjobs/{jobName}/outputs/{outputName}?api-version=2020-03-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
job
|
path | True |
string |
The name of the streaming job. |
|
output
|
path | True |
string |
The name of the output. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+$ |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The output was successfully deleted. |
|
| 204 No Content |
The output does not exist. |
|
| Other Status Codes |
Error. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Delete an output
Sample request
DELETE https://management.azure.com/subscriptions/56b5e0a9-b645-407d-99b0-c64f86013e3d/resourcegroups/sjrg2157/providers/Microsoft.StreamAnalytics/streamingjobs/sj6458/outputs/output1755?api-version=2020-03-01
Sample response
Definitions
Error
Common error representation.
| Name | Type | Description |
|---|---|---|
| error |
Error definition properties. |